<?php
session_start();
require_once ("../../config/Cado.php");


require_once ("../distribucion/cDistribucion.php");
$oDistribucion = new cDistribucion();


$dts1 = $oDistribucion->mostrarAlmacenes();
$numrows1 = mysqli_num_rows($dts1);

//echo $numrows1.'---';
?>

<div class="col-lg-12 col-md-12 col-12 " style="">

					<div class="box-header">
						<h4 class="box-title">Seleccione almacen de origen</h4> 
					</div>
					
					<div class="col-lg-12 col-sm-12 col-12">
							<label>Almacen Origen:</label>
							<select name="cmb_dis_alm_id" id="cmb_dis_alm_id" style="cursor:pointer;" class="form-control">
							</select>
					</div>


					<div class="box-header">
						<h4 class="box-title">Seleccione destinos</h4> 
					</div>


		<?php
		while($dt=mysqli_fetch_array($dts1)){		
		?>
		
		<div class="col-lg-12 col-sm-12 col-12">
 														
					<div class="input-group"> 
							<div class="icheck-primary" >
							<input type="checkbox"  id="chk_dis_alm_ori_<?php echo $dt['tb_almacen_id'];?>" >
							<label data-alm_id="<?php echo $dt['tb_almacen_id'];?>" class="lbl_chk_alm_des" for="chk_dis_alm_ori_<?php echo $dt['tb_almacen_id'];?>" ><?php echo $dt['tb_almacen_nom'];?></label>
							</div>
					</div>								

 		</div>
	
		<?php
			
		}
		
		?>
	
	
	<div class="col-lg-12 col-sm-12 col-12   ">
								<div class="box-footer  div_boton float-right " style="display:none"  >	
									<button class="btn btn-danger btn-lg"  id="save_form">SIGUIENTE</button>
								</div>
							</div>
	
</div>




<script type="text/javascript">
	 
	function cmb_dis_alm_id()
	{	
		$.ajax({
			type: "POST",
			url: "../almacen/cmb_alm_id_user.php",
			async:false,
			dataType: "html",                      
			data: ({
				alm_id: '<?php echo $alm_id?>'
			}),
			beforeSend: function() {
			//$('#cmb_fil_pro_alm').html('<option value="">Cargando...</option>');
		},
		success: function(html){
			$('#cmb_dis_alm_id').html(html);

		},
		complete: function(){
			
		}
	});
	}
	
	
	
	
	function seleccionar_almacen(alm_id,check){
		
		//alert(alm_id);
		
		
		$.ajax({
			type: "POST",
			url: "../distribucion/distribucion_reg.php",
			async:false,
			dataType: "json",                      
			data: ({
				action:"seleccionaralmacen",
				alm_id: alm_id,
				check:check
			}),
			beforeSend: function() {
		
		},
		success: function(data){
			
			if(data.can>0){
				$(".div_boton").show(100);
			}else{
				$(".div_boton").hide(100);
			}

		},
		complete: function(){
			
		}
	});
		
		
	}
	
	
	
	
	$(function(){


		$("#save_form").click(function(){
			$('#div_distribucion_sucursal_form_dialog').modal('hide');	


			distribucion_filtro();


			
		});
			
			
			
			
			
		$(".lbl_chk_alm_des").click(function(){
			
			alm_id = $(this).attr('data-alm_id');	
			
			
			
			if($("#chk_dis_alm_ori_"+alm_id).is(':checked')){
				
				/// cuando se deselecciona
				
				seleccionar_almacen(alm_id,'0');
			
				
				//alert(" deseleccionado");
				
			}else{
				/// cuando se selecciona
				seleccionar_almacen(alm_id,'1');
				//alert("seleccionado");
				
			}
			
			
			
		
			
		});


		cmb_dis_alm_id();

	});
</script>





